# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/usb/renesas,rzg3e-xhci.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Renesas RZ/G3E USB 3.2 Gen2 Host controller

maintainers:
  - Biju Das <biju.das.jz@bp.renesas.com>

properties:
  compatible:
    const: renesas,r9a09g047-xhci

  reg:
    maxItems: 1

  interrupts:
    items:
      - description: Logical OR of all interrupt signals.
      - description: System management interrupt
      - description: Host system error interrupt
      - description: Power management event interrupt
      - description: xHC interrupt

  interrupt-names:
    items:
      - const: all
      - const: smi
      - const: hse
      - const: pme
      - const: xhc

  clocks:
    maxItems: 1

  phys:
    maxItems: 2

  phy-names:
    items:
      - const: usb2-phy
      - const: usb3-phy

  power-domains:
    maxItems: 1

  resets:
    maxItems: 1

required:
  - compatible
  - reg
  - interrupts
  - interrupt-names
  - clocks
  - power-domains
  - resets
  - phys
  - phy-names

allOf:
  - $ref: usb-xhci.yaml

additionalProperties: false

examples:
  - |
    #include <dt-bindings/clock/renesas,r9a09g047-cpg.h>
    #include <dt-bindings/interrupt-controller/arm-gic.h>

    usb@15850000 {
      compatible = "renesas,r9a09g047-xhci";
      reg = <0x15850000 0x10000>;
      interrupts = <GIC_SPI 759 IRQ_TYPE_LEVEL_HIGH>,
                   <GIC_SPI 758 IRQ_TYPE_LEVEL_HIGH>,
                   <GIC_SPI 757 IRQ_TYPE_LEVEL_HIGH>,
                   <GIC_SPI 756 IRQ_TYPE_LEVEL_HIGH>,
                   <GIC_SPI 755 IRQ_TYPE_LEVEL_HIGH>;
      interrupt-names = "all", "smi", "hse", "pme", "xhc";
      clocks = <&cpg CPG_MOD 0xaf>;
      power-domains = <&cpg>;
      resets = <&cpg 0xaa>;
      phys = <&usb3_phy>, <&usb3_phy>;
      phy-names = "usb2-phy", "usb3-phy";
    };
